POST resource/get-related-resources-from-list

Gets the related resources of a resource

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
resource_ids

Resource identifiers

Collection of globally unique identifier

Required

community_short_name

Community short name

string

Required

Request Formats

application/json, text/json

Sample:
{
  "resource_ids": [
    "85b98a0b-d1f0-431a-b142-07c97ac386da",
    "1a586373-07a7-4dbb-91b8-8c7f4904cb7c"
  ],
  "community_short_name": "sample string 1"
}

Response Information

Resource Description

DescriptionType

List of resource identifiers

Dictionary`2

Response Formats

application/json, text/json

Sample:
{
  "0c76763e-d30e-41fa-9c3c-ee3a332b1621": [
    "2ee04b4f-ac9e-4ffa-b049-fdf3c7fd5aeb",
    "4218568a-d3c7-4e63-a4f9-64975ac542c0"
  ],
  "eb5f66a5-6f11-4ce1-868e-7ba54b003ff0": [
    "8603ee5b-aacb-4feb-b25e-9b092e2161b4",
    "c251fdb5-1c67-4f87-a698-3a451b1ba6b9"
  ]
}

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...